package de.unikoblenz.fgbks.base.wordnet;

import java.util.Set;

public interface WordnetServiceFunctions {
  /**
   * Return true, if both nouns are in one synset. <br>
   * "examination" {@literal &} "exam" = true <br>
   * "bill" {@literal &} "invoice" = true<br>
   *
   * @return true, if both nouns are synonyms
   */
  boolean areNounsSynonyms(String noun1, String noun2);

  Set<String> getNounsSynonyms(String noun);
}
