package de.unikoblenz.fgbks.core.dmn.verification.verifier.classification;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;

@Classification
public class DrdModelingLevelVerification extends AbstractClassificationType {

  private static final DrdModelingLevelVerification instance = new DrdModelingLevelVerification();

  private DrdModelingLevelVerification() {
    super(new Name("DrdModeling"), new Name("DRD Modeling"), new Description("test")); // TODO
  }

  public static DrdModelingLevelVerification getInstance() {
    return instance;
  }
}
