package de.unikoblenz.fgbks.core.dmn.domain.ids;

import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnRule;

/**
 * A rule id, representing the id of the a {@link VDmnRule}.
 */
@JsonIdentifier("ruleId")
public class RuleId extends AbstractId {

  /**
   * Create a new copy of the initialValue with the id value of the given Id object.
   *
   * @param initialValue the original id
   */
  public RuleId(RuleId initialValue) {
    this(initialValue.getValue());
  }

  /**
   * Create new RuleId with the id value of the initialValue.
   *
   * @param initialValue the value of the new id
   */
  public RuleId(String initialValue) {
    super(initialValue);
  }
}
