package de.unikoblenz.fgbks.core.dmn.domain.vdmn;

import de.unikoblenz.fgbks.core.dmn.domain.ids.AbstractId;

/**
 * A abstract interface for all vdmn elements. All elements contains an id, so this interface only
 * provides a function for this id.
 */
public interface VDmnElement {

  /**
   * Get the {@link AbstractId}.
   *
   * @return the {@link AbstractId}
   */
  AbstractId getId();
}
