package de.unikoblenz.fgbks.core.dmn.domain.vdmn;

import de.unikoblenz.fgbks.core.dmn.domain.ids.InputDataId;

/**
 * A input data node is a information providing information object for {@link VDmnDecision}s.
 */
public interface VDmnInputData extends VDmnNode {

  /**
   * Get the {@link InputDataId}.
   *
   * @return the {@link InputDataId}
   */
  default InputDataId getInputDataId() {
    return (InputDataId) getId();
  }
}
