package de.unikoblenz.fgbks.core.dmn.verification.verifier.classification;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;

@Classification
public class DecisionLogicLevelVerification extends AbstractClassificationType {

  private static final DecisionLogicLevelVerification instance =
      new DecisionLogicLevelVerification();

  private DecisionLogicLevelVerification() {
    super(new Name("DecisionLogic"), new Name("Decision Logic"), new Description("test")); // TODO
  }

  public static DecisionLogicLevelVerification getInstance() {
    return instance;
  }
}
